HotForex Old MT4 Terminals to Stop Working

HotForex Old MT4 Terminals to Stop Working
Rating:4.5 (8 votes cast)

As you probably, HotForex are going to stop their old MT4 client terminals, specially all MT4 client terminals older than 500 will stop working. Traders are required to download the updated version to continue trading.  Below is their full notification to traders. Scroll down to read more.

Dear Client,

Please note that as of Monday, October 21st, MT4 client terminals of versions older than 500 will stop working and will no longer be supported.

In order to avoid any connection issues, please update your HotForex MT4 terminals in advance.

To perform the update simply log in to your Metatrader platfrom and when promted accept the update request. Alternatively simply download the updated version via this link http://www.hotforex.com/downloads/hfmarkets4setup.exe

If you have any questions please do not hesitate to contact our dedicated customer support team via email orlive chat.

Best Regards,

Click below to download and start trading with HotForex:

open account

 
 

Leave a Comment

*